import { pureRequire } from '@resolve-js/runtime-base'; // eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore

import interopRequireDefault from '@babel/runtime/helpers/interopRequireDefault';
export const performanceTracerFactory = () => {
  var _AWSXray$getSegment, _AWSXray;

  let AWSXray;

  try {
    void ({
      default: AWSXray
    } = interopRequireDefault(pureRequire('aws-xray-sdk-core')));
  } catch {}

  let segment = process.env.TRACE ? (_AWSXray$getSegment = (_AWSXray = AWSXray) === null || _AWSXray === void 0 ? void 0 : _AWSXray.getSegment()) !== null && _AWSXray$getSegment !== void 0 ? _AWSXray$getSegment : null : null;
  let traceId = process.env._X_AMZN_TRACE_ID;
  return {
    getSegment: () => {
      if (traceId !== process.env._X_AMZN_TRACE_ID) {
        var _AWSXray$getSegment2, _AWSXray2;

        traceId = process.env._X_AMZN_TRACE_ID;
        segment = process.env.TRACE ? (_AWSXray$getSegment2 = (_AWSXray2 = AWSXray) === null || _AWSXray2 === void 0 ? void 0 : _AWSXray2.getSegment()) !== null && _AWSXray$getSegment2 !== void 0 ? _AWSXray$getSegment2 : null : null;
      }

      return {
        addNewSubsegment: subsegmentName => {
          var _segment$addNewSubseg, _segment;

          const subsegment = process.env.TRACE ? (_segment$addNewSubseg = (_segment = segment) === null || _segment === void 0 ? void 0 : _segment.addNewSubsegment(subsegmentName)) !== null && _segment$addNewSubseg !== void 0 ? _segment$addNewSubseg : null : null;
          const prevSegment = segment;
          segment = subsegment;
          return {
            addAnnotation: (annotationName, data) => {
              if (process.env.TRACE) {
                void (subsegment === null || subsegment === void 0 ? void 0 : subsegment.addAnnotation(annotationName, data != null ? data : '<Empty annotation>'));
              }
            },
            addError: error => {
              if (process.env.TRACE) {
                void (subsegment === null || subsegment === void 0 ? void 0 : subsegment.addError(error));
              }
            },
            close: () => {
              if (process.env.TRACE) {
                void (subsegment === null || subsegment === void 0 ? void 0 : subsegment.close());
                segment = prevSegment;
              }
            }
          };
        }
      };
    }
  };
};
//# sourceMappingURL=performance-tracer-factory.js.map