"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getReactiveSubscriptionFactory = void 0;

var _jsonwebtoken = _interopRequireDefault(require("jsonwebtoken"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getReactiveSubscription = async (origin, eventTypes, aggregateIds) => {
  const {
    RESOLVE_DEPLOYMENT_ID,
    RESOLVE_WS_URL,
    RESOLVE_ENCRYPTED_DEPLOYMENT_ID
  } = process.env;

  const token = _jsonwebtoken.default.sign({
    eventTypes,
    aggregateIds
  }, RESOLVE_ENCRYPTED_DEPLOYMENT_ID);

  const subscribeUrl = `${RESOLVE_WS_URL}?deploymentId=${RESOLVE_DEPLOYMENT_ID}&token=${token}`;
  return {
    appId: RESOLVE_DEPLOYMENT_ID,
    url: subscribeUrl
  };
};

const getReactiveSubscriptionFactory = () => getReactiveSubscription;

exports.getReactiveSubscriptionFactory = getReactiveSubscriptionFactory;
//# sourceMappingURL=get-reactive-subscription-factory.js.map