"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.prepareAssemblies = void 0;

var _monitoringAwsCloudwatch = _interopRequireDefault(require("@resolve-js/monitoring-aws-cloudwatch"));

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const prepareAssemblies = (assemblies, context) => {
  if (assemblies.monitoringAdapters == null) {
    assemblies.monitoringAdapters = {};
  }

  if (assemblies.monitoringAdapters.default == null) {
    assemblies.monitoringAdapters.default = () => (0, _monitoringAwsCloudwatch.default)({
      deploymentId: (0, _utils.getDeploymentId)(),
      resolveVersion: context.resolveVersion
    });
  }

  return assemblies;
};

exports.prepareAssemblies = prepareAssemblies;
//# sourceMappingURL=prepare-assemblies.js.map