"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handleSchedulerEvent = void 0;

var _runtimeBase = require("@resolve-js/runtime-base");

const log = (0, _runtimeBase.getLog)('scheduler-event-handler');

const handleSchedulerEvent = async ({
  entry
}, scheduler) => {
  log.debug(`dispatching lambda event to all available schedulers`);

  if (scheduler != null && typeof scheduler.executeEntries === 'function') {
    return scheduler.executeEntries(entry);
  }

  log.warn(`no resolve.executeSaga.runScheduler property defined`);
  return {
    message: 'no registered sagas'
  };
};

exports.handleSchedulerEvent = handleSchedulerEvent;
//# sourceMappingURL=scheduler-event-handler.js.map