import type { Domain, DomainMeta, PerformanceTracer } from '@resolve-js/core';
import type { Runtime, EventListener } from '@resolve-js/runtime-base';
import { CloudServiceLambdaEvent } from './types';
declare type CloudServiceEventContext = {
    upstream: boolean;
    ensureQueue: (name?: string) => Promise<void>;
    deleteQueue: (name?: string) => Promise<void>;
    getEventSubscriberDestination: (name: string) => string;
    eventListeners: Map<string, EventListener>;
    eventSubscriberScope: string;
    performanceTracer: PerformanceTracer;
    domain: DomainMeta;
    domainInterop: Domain;
};
export declare const handleCloudServiceEvent: (lambdaEvent: CloudServiceLambdaEvent, runtime: Runtime, context: CloudServiceEventContext) => Promise<any>;
export {};
