import type { Uploader, UploaderPool } from '@resolve-js/runtime-base';
export declare type UploaderPoolCloud = UploaderPool & {
    uploaderArn: string;
    userId: string;
    encryptedUserId: string;
    CDN: string;
};
export declare type RemoveFirstType<T extends any[]> = T extends [infer _, ...infer R] ? R : never;
export declare type RemovePoolArg<M extends (pool: UploaderPoolCloud, ...args: any[]) => any> = (...args: RemoveFirstType<Parameters<M>>) => ReturnType<M>;
export declare const upload: (pool: UploaderPoolCloud, uploadUrl: string, filePath: string) => Promise<void>;
export declare const uploadFormData: (pool: UploaderPoolCloud, form: any, filePath: string) => Promise<void>;
export declare const createToken: ({ encryptedUserId }: UploaderPoolCloud, { dir, expireTime }: {
    dir: string;
    expireTime: number;
}) => string;
declare type UploaderFactoryParameters = {
    uploaderAdapterFactory: () => UploaderPool;
};
export declare const uploaderFactory: (params: UploaderFactoryParameters) => Promise<Uploader | null>;
export {};
